- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
X Drawable Functions
Ecore_X - X11 Integration

Functions that operate on drawables. More...

## Functions
void | ecore_x_drawable_geometry_get (Ecore_X_Drawable draw, int *x, int *y, int *w, int *h)
| Retrieves the geometry of the given drawable. More...
int | ecore_x_drawable_border_width_get (Ecore_X_Drawable d)
| Retrieves the width of the border of the given drawable. More...
int | ecore_x_drawable_depth_get (Ecore_X_Drawable d)
| Retrieves the depth of the given drawable. More...

## Detailed Description

Functions that operate on drawables.

## Function Documentation

void ecore_x_drawable_geometry_get | ( | Ecore_X_Drawable | d,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Retrieves the geometry of the given drawable.

Parameters

  d | The given drawable.
  x | Pointer to an integer into which the X position is to be stored.
  y | Pointer to an integer into which the Y position is to be stored.
  w | Pointer to an integer into which the width is to be stored.
  h | Pointer to an integer into which the height is to be stored.

References ecore_x_sync().

Referenced by ecore_x_pixmap_geometry_get(), ecore_x_window_geometry_get(), and ecore_x_window_size_get().

int ecore_x_drawable_border_width_get | ( | Ecore_X_Drawable | d | ) |

Retrieves the width of the border of the given drawable.

Parameters

  d | The given drawable.

Returns
  The border width of the given drawable.

References ecore_x_sync().

Referenced by ecore_x_window_border_width_get().

int ecore_x_drawable_depth_get | ( | Ecore_X_Drawable | d | ) |

Retrieves the depth of the given drawable.

Parameters

  d | The given drawable.

Returns
  The depth of the given drawable.

References ecore_x_sync().

Referenced by ecore_x_pixmap_depth_get(), and ecore_x_window_depth_get().